Skip to main content
GET
/
discoveries
cURL
curl --request GET \
  --url https://api.lightspark.com/grid/2025-10-13/discoveries \
  --header 'Authorization: Basic <encoded-value>'
import LightsparkGrid from '@lightsparkdev/grid';

const client = new LightsparkGrid({
username: process.env['GRID_CLIENT_ID'], // This is the default and can be omitted
password: process.env['GRID_CLIENT_SECRET'], // This is the default and can be omitted
});

const discoveryListResponse = await client.discoveries.list();

console.log(discoveryListResponse.data);
package com.lightspark.grid.example

import com.lightspark.grid.client.LightsparkGridClient
import com.lightspark.grid.client.okhttp.LightsparkGridOkHttpClient
import com.lightspark.grid.models.discoveries.DiscoveryListParams
import com.lightspark.grid.models.discoveries.DiscoveryListResponse

fun main() {
val client: LightsparkGridClient = LightsparkGridOkHttpClient.fromEnv()

val discoveryListResponse: DiscoveryListResponse = client.discoveries().list()
}
{
  "data": [
    {
      "bankName": "BDO Unibank",
      "displayName": "BDO Unibank",
      "country": "PH",
      "currency": "PHP"
    },
    {
      "bankName": "BPI",
      "displayName": "Bank of the Philippine Islands",
      "country": "PH",
      "currency": "PHP"
    }
  ]
}
{
"status": 400,
"message": "<string>",
"details": {}
}
{
"status": 401,
"message": "<string>",
"details": {}
}
{
"status": 500,
"message": "<string>",
"details": {}
}

Authorizations

Authorization
string
header
required

API token authentication using format <api token id>:<api client secret>

Query Parameters

country
string

ISO 3166-1 alpha-2 country code (e.g. PH)

currency
string

ISO 4217 currency code (e.g. PHP)

Response

Successful operation

data
object[]

List of payment rails matching the filter criteria